weka.classifiers.functions.explicitboundaries

## Class DecisionBoundary

- java.lang.Object
- - weka.classifiers.functions.explicitboundaries.DecisionBoundary

- All Implemented Interfaces:
    Serializable, IDecisionBoundary
  Direct Known Subclasses:
    DecisionBoundaryPlane

      public abstract class DecisionBoundary
      extends Object
      implements Serializable, IDecisionBoundary

  Author:
    pawel
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionBoundary(weka.core.Instances data, int class1Idx, int class2Idx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClass1Idx()`
    `int` | `getClass2Idx()`
    `weka.core.Instances` | `getDatasetHeader()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface weka.classifiers.functions.explicitboundaries.IDecisionBoundary

      `classify, getDistance, getIndex, getValue`

- - ### Constructor Detail

    - #### DecisionBoundary

          public DecisionBoundary(weka.core.Instances data,
                                  int class1Idx,
                                  int class2Idx)
                           throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### getDatasetHeader

          public weka.core.Instances getDatasetHeader()

      Specified by:
        `getDatasetHeader` in interface `IDecisionBoundary`
      Returns:
        the datasetHeader

    - #### getClass1Idx

          public int getClass1Idx()

      Specified by:
        `getClass1Idx` in interface `IDecisionBoundary`
      Returns:
        the class1Idx

    - #### getClass2Idx

          public int getClass2Idx()

      Specified by:
        `getClass2Idx` in interface `IDecisionBoundary`
      Returns:
        the class2Idx

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All Rights Reserved.